[![License: GPLv3+](https://archive.org/download/libreweb/license.svg)](https://www.gnu.org/licenses/gpl-3.0.txt)

# Livie is Video in Emacs

![screenshot](screenshot.png)

Livie allows the user to search youtube.com and play the video from `mpv`.

## Requirements

- `hypervideo`
- `curl`
- `mpv`

  `sudo pacman -S mpv hypervideo`

## Installation

``` emacs-lisp
(require 'livie "~/.emacs.d/path/to/livie.el")
(setq livie-script-path (expand-file-name "path/to/livie.py" user-emacs-directory))
```

## Installation in emacs-personal

Create new dir:

    mkdir ~/.emacs.d/private/

Clone repo:

    git clone https://git.sr.ht/~heckyel/livie ~/.emacs.d/private/livie

Open `settings.el` write the following:

``` emacs-lisp
(require 'livie "~/.emacs.d/private/livie/livie.el")
(setq livie-script-path (expand-file-name "private/livie/livie.py" user-emacs-directory))
```

## Usage
Just run `M-x livie` and enter a search query. `n`, `p` and `tab`
can be used to navigate the buffer.

| key               | binding                      |
|-------------------|------------------------------|
| <key>n</key>      | `next-line`                  |
| <key>p</key>      | `previous-line`              |
| <key>q</key>      | `livie-quit`                 |
| <key>s</key>      | `livie-search`               |
| <key>></key>      | `livie-search-next-page`     |
| <key><</key>      | `livie-search-previous-page` |
| <key>return</key> | `livie-watch-this-video`     |

Type `s` to enter another search. To watch a video, press `<enter>`.
